Bug 212230 - xorg.conf does not load extmod by default and has to be added
Summary: xorg.conf does not load extmod by default and has to be added
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-25 19:03 UTC by rob
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-20 21:16:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description rob 2006-10-25 19:03:54 UTC
Description of problem:
xorg.conf does not load extmod by default and has to be added.  extmod not being
loaded causes windows to appear black when minimising and alt-tabbing, certainly
in gnome, untested in other environments.

Version-Release number of selected component (if applicable):


How reproducible:
Install FC6 i386 with an nVidia gfx card

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Adam Jackson 2006-11-20 21:16:45 UTC
xorg.conf does not _need_ to load extmod by default.  If you don't specify which
modules to load, it loads a default set, which includes extmod.

I suspect you have installed nvidia's drivers, using a package that
(erroneously) adds the "glx" module to the Modules section even when that
section does not exist, which causes the server to _only_ load glx.


Note You need to log in before you can comment on or make changes to this bug.